## org.apache.poi.hssf.usermodel
Class HSSFName

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFName

public class HSSFName
extends java.lang.Object

Title: High Level Represantion of Named Range

REFERENCE:

Author:
  Libin Roman (Vista Portal LDT. Developer)

Constructor Summary
`protected` `HSSFName(Workbook book, NameRecord name)` Creates new HSSFName - called by HSSFWorkbook to create a sheet from scratch.

Method Summary
`java.lang.String` `getNameName()` gets the name of the named range
`java.lang.String` `getReference()` gets the reference of the named range
`java.lang.String` `getSheetName()` Get the sheets name which this named range is referenced to
`void` `setNameName(java.lang.String nameName)` sets the name of the named range
`void` `setReference(java.lang.String ref)` sets the reference of this named range

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSSFName

    protected HSSFName(Workbook book,
                       NameRecord name)

  Creates new HSSFName - called by HSSFWorkbook to create a sheet from scratch.

Parameters:
  `name` - the Name Record
  `book` - - lowlevel Workbook object associated with the sheet.
See Also:
  `HSSFWorkbook.createName()`

Method Detail

### getSheetName

    public java.lang.String getSheetName()

  Get the sheets name which this named range is referenced to

  Returns:
    sheet name, which this named range refered to

### getNameName

    public java.lang.String getNameName()

  gets the name of the named range

  Returns:
    named range name

### setNameName

    public void setNameName(java.lang.String nameName)

  sets the name of the named range

  Parameters:
    `nameName` - named range name to set

### getReference

    public java.lang.String getReference()

  gets the reference of the named range

  Returns:
    reference of the named range

### setReference

    public void setReference(java.lang.String ref)

  sets the reference of this named range

  Parameters:
    `ref` - the reference to set

Copyright © 2003 Apache Software Foundation.